sonata_media:
    db_driver: doctrine_orm
    class:
       media:               App\Application\Sonata\MediaBundle\Entity\Media
       category:            App\Application\Sonata\ClassificationBundle\Entity\Category
       gallery:             App\Application\Sonata\MediaBundle\Entity\Gallery
       gallery_has_media:   App\Application\Sonata\MediaBundle\Entity\GalleryHasMedia
    default_context: default
    contexts:
        default:
            providers:
                - sonata.media.provider.dailymotion
                - sonata.media.provider.youtube
                - sonata.media.provider.image
                - sonata.media.provider.file
                - sonata.media.provider.vimeo

            formats:
                small: { width: 100 , quality: 80}
                medium: { width: 300 , quality: 80}
                big:   { width: 500 , quality: 80}
        actualites:
            providers:
                - sonata.media.provider.youtube
                - sonata.media.provider.image

            formats:
                small: { width: 100 , quality: 80}
                big:   { width: 500 , quality: 80}
        document:
            providers:
                - sonata.media.provider.file
        import:
            providers:
                - sonata.media.provider.csv
        comptoir:
            providers:
                - sonata.media.provider.image

            formats:
                small: { width: 100 , quality: 80}
                medium: { width: 300 , quality: 80}
                big:   { width: 500 , quality: 80}
        groupe:
            providers:
                - sonata.media.provider.image

            formats:
                small: { width: 100 , quality: 80}
                medium: { width: 300 , quality: 80}
                big:   { width: 500 , quality: 80}
        rubrique:
            providers:
                - sonata.media.provider.image

            formats:
                preview: { width: 50, quality: 80}
                small: { width: 100 , quality: 80}
                medium: { width: 300 , quality: 80}
                big:   { width: 400 , quality: 80}
        prestataire:
            providers:
                - sonata.media.provider.image
                - sonata.media.provider.file

            formats:
                small: { width: 100 , quality: 80}
                medium: { width: 300 , quality: 80}
                big:   { width: 500 , quality: 80}
        faq:
            providers:
                - sonata.media.provider.image
                - sonata.media.provider.file

            formats:
                small: { width: 100 , quality: 80}
                medium: { width: 300 , quality: 80}
                big:   { width: 500 , quality: 80}

    cdn:
        server:
            path: /upload/media

    filesystem:
        local:
            # Directory for uploads should be writable
            directory: "%kernel.project_dir%/public/upload/media"
            create: false
